body {
    font-family: "Lato", sans-sarif;
    font-weight: 400;
    line-height: 1.7;
    color: $default-font-color;
}

.heading-primary {
    color: $color-white;
    text-transform: uppercase;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;

    &--main {
        display: block;
        font-size: 6rem;
        font-weight: 400;
        letter-spacing: 3.5rem;
        text-indent: 3.5rem;
        animation-name: moveInLeft;
        animation-duration: 1s;
        animation-timing-function: ease-out;

        @include respond( phone ) {
            letter-spacing: 1rem;
            font-size: 5rem;
        }
    }

    

    &--sub {
        display: block;
        font-size: 2rem;
        font-weight: 700;
        letter-spacing: 2.8rem;
        text-indent: 2.8rem;
        animation: moveInRight 1s ease-out;
        margin-bottom: 6rem;

        @include respond( phone ) {
            letter-spacing: .5rem;
        }
    }
}

.heading-secondary {
    font-size: 3.5rem;
    text-transform: uppercase;
    font-weight: 700;
    display: inline-block;
    background-image: linear-gradient( to right, $color-primary-light, $color-primary-dark);
    -webkit-background-clip: text;
    color: transparent;
    letter-spacing: .2rem;
    transition: all .2s;

    @include respond( tab-port ) {
        font-size: 3rem;
        padding: 0 1em;
    }

    @include respond( phone ) {
        font-size: 2.5rem;
    }

    &:hover {
        transform: translateY(-.5rem) scale(1.1);
        text-shadow: 0.5rem 1rem 2rem rgba($color-black, .5);
    }
}

.heading-tertiary {
    font-size: $default-font-size;
    font-weight: 700;
    text-transform: uppercase;
}

.paragraph {
    font-size: $default-font-size;

    &:not(:last-child) {
        margin-bottom: 3rem;
    }
}